Package org.codehaus.groovy.tools.gse

# Class DependencyTracker

java.lang.Object
org.codehaus.groovy.ast.CodeVisitorSupport
org.codehaus.groovy.ast.ClassCodeVisitorSupport
org.codehaus.groovy.tools.gse.DependencyTracker

All Implemented Interfaces:
  `GroovyClassVisitor`, `GroovyCodeVisitor`

public class DependencyTracker extends ClassCodeVisitorSupport

## Constructor Summary

Constructors
Constructor
Description
`DependencyTracker(SourceUnit source, StringSetMap cache)`
`DependencyTracker(SourceUnit source, StringSetMap cache, Map<String,?> precompiledEntries)`

## Method Summary

Modifier and Type
Method
Description
`protected SourceUnit`
`getSourceUnit()`
`void`
`visitAnnotations(AnnotatedNode node)`
`void`
`visitArrayExpression(ArrayExpression expression)`
`void`
`visitCastExpression(CastExpression expression)`
`void`
`visitCatchStatement(CatchStatement statement)`
`void`
`visitClass(ClassNode node)`
Visit a ClassNode.
`void`
`visitClassExpression(ClassExpression expression)`
`void`
`visitConstructorCallExpression(ConstructorCallExpression call)`
`void`
`visitField(FieldNode node)`
Visit a FieldNode.
`void`
`visitMethod(MethodNode node)`
Visit a MethodNode.
`void`
`visitVariableExpression(VariableExpression expression)`

### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

`addError, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitForLoop, visitIfElse, visitImports, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyTracker

public DependencyTracker(SourceUnit source, StringSetMap cache)

### DependencyTracker

public DependencyTracker(SourceUnit source, StringSetMap cache, Map<String,?> precompiledEntries)

## Method Details

### visitClass

public void visitClass(ClassNode node)
Description copied from interface: `GroovyClassVisitor`
Visit a ClassNode.

Specified by:
  `visitClass` in interface `GroovyClassVisitor`
Overrides:
  `visitClass` in class `ClassCodeVisitorSupport`

### getSourceUnit

protected SourceUnit getSourceUnit()

Specified by:
  `getSourceUnit` in class `ClassCodeVisitorSupport`

### visitClassExpression

public void visitClassExpression(ClassExpression expression)

Specified by:
  `visitClassExpression` in interface `GroovyCodeVisitor`
Overrides:
  `visitClassExpression` in class `CodeVisitorSupport`

### visitField

public void visitField(FieldNode node)
Description copied from interface: `GroovyClassVisitor`
Visit a FieldNode.

Specified by:
  `visitField` in interface `GroovyClassVisitor`
Overrides:
  `visitField` in class `ClassCodeVisitorSupport`

### visitMethod

public void visitMethod(MethodNode node)
Description copied from interface: `GroovyClassVisitor`
Visit a MethodNode.

Specified by:
  `visitMethod` in interface `GroovyClassVisitor`
Overrides:
  `visitMethod` in class `ClassCodeVisitorSupport`

### visitArrayExpression

public void visitArrayExpression(ArrayExpression expression)

Specified by:
  `visitArrayExpression` in interface `GroovyCodeVisitor`
Overrides:
  `visitArrayExpression` in class `CodeVisitorSupport`

### visitCastExpression

public void visitCastExpression(CastExpression expression)

Specified by:
  `visitCastExpression` in interface `GroovyCodeVisitor`
Overrides:
  `visitCastExpression` in class `CodeVisitorSupport`

### visitVariableExpression

public void visitVariableExpression(VariableExpression expression)

Specified by:
  `visitVariableExpression` in interface `GroovyCodeVisitor`
Overrides:
  `visitVariableExpression` in class `CodeVisitorSupport`

### visitCatchStatement

public void visitCatchStatement(CatchStatement statement)

Specified by:
  `visitCatchStatement` in interface `GroovyCodeVisitor`
Overrides:
  `visitCatchStatement` in class `ClassCodeVisitorSupport`

### visitAnnotations

public void visitAnnotations(AnnotatedNode node)

Overrides:
  `visitAnnotations` in class `ClassCodeVisitorSupport`

### visitConstructorCallExpression

public void visitConstructorCallExpression(ConstructorCallExpression call)

Specified by:
  `visitConstructorCallExpression` in interface `GroovyCodeVisitor`
Overrides:
  `visitConstructorCallExpression` in class `CodeVisitorSupport`